Last Comment Bug 178393 - nsAccessibilityInterface module load should also work when GTK_MODULES is set
: nsAccessibilityInterface module load should also work when GTK_MODULES is set
Status: RESOLVED FIXED
: access
Product: Core
Classification: Components
Component: XUL (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Bolian Yin
:
Mentors:
Depends on:
Blocks: 145863
  Show dependency treegraph
 
Reported: 2002-11-04 22:35 PST by Bolian Yin
Modified: 2014-04-26 02:22 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (964 bytes, patch)
2002-11-04 23:42 PST, Bolian Yin
timeless: review-
Details | Diff | Review

Description Bolian Yin 2002-11-04 22:35:19 PST
GTK_MODULES is not a good way to enable accessibility feature on Gnome2
platform. But some pure gtk programs still use it to enable accessibility
feature. Mozilla should work when GTK_MODULES is set to other accessibility
modules, such as "GTK_MODULES=gail:atk-bridge".
Comment 1 Bolian Yin 2002-11-04 23:42:50 PST
Created attachment 105166 [details] [diff] [review]
patch
Comment 2 timeless 2004-04-30 07:33:32 PDT
Comment on attachment 105166 [details] [diff] [review]
patch

104 **	 The caller must ensure that the string passed
105 **	 to PR_SetEnv() is persistent. That is: The string should
106 **	 not be on the stack, where it can be overwritten
107 **	 on return from the function calling PR_SetEnv().
108 **	 Similarly, the string passed to PR_SetEnv() must not be
109 **	 overwritten by other actions of the process. ... Some
110 **	 platforms use the string by reference rather than copying
111 **	 it into the environment space. ... You have been warned!
Comment 3 Marco Zehe (:MarcoZ) 2011-11-10 02:42:38 PST
Trevor, is this still relevant at all?
Comment 4 Trevor Saunders (:tbsaunde) 2011-11-20 05:45:19 PST
(In reply to Marco Zehe (:MarcoZ) from comment #3)
> Trevor, is this still relevant at all?

well, none of the patch, the subject, or the description make it clear to me what problem needs solved, so I say its useless, and so close it as invalid
Comment 5 Ginn Chen 2011-11-20 19:06:18 PST
I believe this bug is fixed.

Note You need to log in before you can comment on or make changes to this bug.